#!/usr/bin/env perl

use strict;
use Narada;

print "Several questions you will be prompted for the answer. To accept the default, just hit enter.\n";

print "What is the database username for the read database handle?\n";
print "Current value is $DB_USER. Enter here: ";
my $value = <STDIN>;
chomp($value);
if (length($value) > 0) {
   $DB_USER = $value;
}
print "What is the database password for the read database handle?\n";
print "Current value is $DB_PASSWORD. Enter here: ";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
   $DB_PASSWORD = $value;
}

print "What would you like to name the session cookie? Default is $COOKIENAME.\n";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
   $COOKIENAME = $value;
}
print "What is the cookie domain you would like to use?\n";
print "The current value is: '$COOKIEDOMAIN'. Enter: ";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
   $COOKIEDOMAIN = $value;
}
my $memcached_server_list = join(',', @$MEMC_SERVERS); 
print "Enter a comma-separated list of the memcached servers you would like
to use such as \"host1:11211,host2:11211\"\n";
print "The current value is: $memcached_server_list. Enter: ";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
    @$MEMC_SERVERS = split(',', $value);
}
my $gearman_server_list = join(',', @$GMAN_SERVERS); 
print "Enter a comma-separated list of the gearman servers you would like to use such as \"host1:4730,host2:4730\".\n";
print "The current value is: $gearman_server_list. Enter: ";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
    @$GMAN_SERVERS = split(',', $value);
}
print "Enter the value, in seconds, that you would like to use for\n";
print "expiring the catalogue of cached items for narada.\n";
print "The current value is: $MEMC_CATALOGUE_EXPIREY. Enter: ";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
    $MEMC_CATALOGUE_EXPIREY = $value;
}
print "Enter the value, the number of urls that will be cached\n";
print "to memcached before storing in the database.\n";
print "The current value is  $URL_STORE_COUNT. Enter: ";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
    $URL_STORE_COUNT = $value;
}
print "Enter the value, the number of records inserted in mysql\n";
print "before reindexing Sphinx.\n";
print "The current value is  $SPHINX_REINDEX_COUNT. Enter: ";
$value = <STDIN>;
chomp($value);
if (length($value) > 0) {
    $SPHINX_REINDEX_COUNT = $value;
}

print "Lastly, do you want debug turned on? Yes or No.\n";
print "Currently, it is set to $DEBUG\n";
print "Enter: ";
$value = <STDIN>;
chomp($value);
$DEBUG = $value =~ /^y/i ? 1 : 0;

open(my $conf_dist, "<narada.conf.dist") or die "Unable to open narada.conf.dist! $!";
open(my $conf_out, ">narada.conf") or die "Unable to open narada.conf$!";

while(<$conf_dist>) {
    s/NARADA_DEBUG/$DEBUG/g;
    s/DB_USER/$DB_USER/;
    s/DB_PASSWORD/$DB_USER/;
    s/COOKIEDOMAIN/$COOKIEDOMAIN/;
    s/COOKIENAME/$COOKIENAME/;
    s/COOKIEPATH/$COOKIEPATH/;
    s/MEMC_SERVERS/$memcached_server_list/;
    s/GMAN_SERVERS/$gearman_server_list/;
    s/MEMC_CATALOGUE_EXPIREY/$MEMC_CATALOGUE_EXPIREY/;
    s/URL_STORE_COUNT/$URL_STORE_COUNT/;
    s/SPHINX_REINDEX_COUNT/$SPHINX_REINDEX_COUNT/;
    print $conf_out $_;
}

close($conf_dist);
close($conf_out);

1;
