function createAccount(responseText) {
  var obj = responseText.evalJSON(true);
  var msg = obj.msg;

  if ( obj == null ) {
    // no message from response, so set one
    $("msg").innerHTML = "No response for user create " + $("username");
    // re-enable the submit button
    $("create_account").removeAttribute("disabled");
    return;
  }

  // set message from response
  $("msg").innerHTML = obj.msg;

  /* 
     if user is logged in - don't want them to create an account!
     redirect them to main site, or wherever you like
   */
  if ( obj.err == -1 ) {
    window.location = "/";
  }

  // if there was any non-critical error, re-enable the submit button
  if ( obj.err == 1 ) {
    // re-enable the submit button, failure
    $("create_account").removeAttribute("disabled");
    return;
  }

  // Re-enable submit button, success
  $("create_account").removeAttribute("disabled");

  // Hide the form
  $("accountform").style.visibility = 'hidden';

  // make visible the message
  $("success").style.visibility = 'visible';

}

/* 
   this function is used to validate the form as well as initiate 
   the AJAX request
 */
function processForm() 
{
  var retval = true;

  fields = new Array("password", "verify", "email", "username", "firstname", "surname");

  for (var i = 0; i < fields.length; i++) {

    if ($(fields[i]).value == '') {
      console.log("field " + fields[i] + " value " + $(fields[i]).value);
      $("msg").innerHTML = "The " + fields[i] + " field is empty"; 
      return false;
    }
  }

  if ($("password").value != $("verify").value)
  {
    $("msg").innerHTML="Passwords do not match.";
    return false;
  } 

  $("msg").innerHTML = "processing...";

  // disable the submit button so they can't resubmit
  $("create_account").setAttribute("disabled","disabled");

  var ajax = new Ajax.Request('/ajax_handler',
      { method:'POST', 
parameters: 
'password=' + $("password").value + '&verify=' + $("verify").value +
'&email=' + $("email").value + '&username=' + $("username").value +
'&firstname=' + $("firstname").value + '&surname=' + $("surname").value +
'&address=' + $("address").value + '&phone=' + $("phone").value +
'&city=' + $("city").value + '&state=' + $("state").value,
onSuccess: function(transport) 
{ createAccount(transport.responseText); } 
} );

}

