function onChange(responseText, op) {
  var obj = responseText.evalJSON(true);
  var msg = obj.msg;
  var url_md5 = obj.url_md5;

  if ( obj == null ) {
    // no message from response, so set one
    $("msg").innerHTML = "No response from server for url process";

    // re-enable the submit button
    $("addurl").removeAttribute("disabled");

    return;
  }

  /* 
     if user is not logged in
     redirect them to main site, or wherever you like
     */
  if ( obj.err == -1 ) {
    window.location = "/";
  }

  // set message from response
  $("msg").innerHTML = obj.msg;

  if (op == 'delete') {
    // remove the row
    $(url_md5).parentNode.removeChild($(url_md5));
  }
  // re-enable the submit button
  $("addurl").removeAttribute("disabled");

}

function onQueue(responseText) {
  var obj = responseText.evalJSON(true);
  var msg = obj.msg;
  var url_md5 = obj.url_md5;
  var url     = obj.url;
  var updated = obj.updated;

  if ( obj == null ) {
    // no message from response, so set one
    $("msg").innerHTML = "No response from server for url process";

    // re-enable the submit button
    $("addurl").removeAttribute("disabled");


    return;
  }
  /* 
     if user is not logged in redirect them to main site, 
     or wherever you like
     */
  if ( obj.err == -1 ) {
    window.location = "/";
  }

  // set message from response
  $("msg").innerHTML = obj.msg;

  /* 
     if there was any non-critical error, re-enable the submit button
     */
  if ( obj.err == 1 ) {
    // re-enable the submit button, failure
    $("addurl").removeAttribute("disabled");
    return;
  }

  // Re-enable submit button, success
  $("addurl").removeAttribute("disabled");

  if (updated == 0) {

    var urow = document.createElement('tr');
    urow.setAttribute('id', url_md5);

    var url_td = document.createElement('td');

    // text node containing the 
    url_td.innerHTML= url;

    urow.appendChild(url_td);

    var up_td = document.createElement('td');

    var up_aref = document.createElement('a');
    up_aref.setAttribute('href', '#');
    up_aref.onclick= function () {
      processUrl(url_md5,'update'); return false;
    }

    var update_txt = document.createTextNode('[Update]');
    up_aref.appendChild(update_txt);

    up_td.appendChild(up_aref);

    urow.appendChild(up_td);

    var del_td = document.createElement('td');

    var del_aref = document.createElement('a');
    del_aref.setAttribute('href', '#');
    del_aref.onclick= function () {
      processUrl(url_md5, 'delete'); return false;
    }
    var delete_txt = document.createTextNode('[Delete]');
    del_aref.appendChild(delete_txt);

    del_td.appendChild(del_aref);
    urow.appendChild(del_td);

    $("urllist_body").appendChild(urow);
  }

}

/* 
   this function is used to validate the form as well 
   as initiate the AJAX request
   */
function processUrl(url_md5, op) 
{
  // set message
  $("msg").innerHTML = "processing...";

  // disable the submit button so they can't submit
  $("addurl").setAttribute("disabled","disabled");

  // create Ajax request
  var ajax = new Ajax.Request('/url_handler',
      { method:'POST', 
        parameters: 
          op + '=1&url_md5=' + url_md5,
          onSuccess: function(transport) 
          { onChange(transport.responseText, op); } 
      } );

}
/* 
   this function is used to validate the form as well 
   as initiate the AJAX request
   */
function saveUrl() 
{

  var url = $("url").getValue();
  if (url == "")
  {
    $("msg").innerHTML ="You need to supply a URL.";
    return false;
  } 

  // disable the submit button so they can't resubmit
  $("addurl").setAttribute("disabled","disabled");

  // set message
  $("msg").innerHTML = "processing...";

  // Empty the text field
  $("url").setValue("");

  // create Ajax request
  var ajax = new Ajax.Request('/url_handler',
      { method:'POST', 
          parameters: 
          'create=1&url=' + url,
          onSuccess: function(transport) 
          { onQueue(transport.responseText); } 
      } );
}
