package Narada::AccountHandler;

use strict;

use Apache2::Const -compile => qw(OK REDIRECT SERVER_ERROR);
use Apache2::Request;
use Template; 
use CGI qw(:standard);
use Narada;

sub handler {
    my ($r)= @_;
    my $msg;
    my $url= $r->uri;
    my $template_path;

    my $narada= new Narada({ r => $r});

    # get the submitted form values
    my $form= $narada->getForm();

    my $sessionref= $narada->getSession(\$msg);

    # obtain the template path
    $template_path= $r->dir_config('TEMPLATE_PATH'), 

    # instantiate a new Template object
    my $template = Template->new({
        INCLUDE_PATH => $template_path,
        POST_CHOMP   => 1,             
    }); 

    my $states = {};
    $states= $narada->getStates();
    $states->{default}= 'Select a state';

    my $states_select= popup_menu(
            -name     => 'state',
            -id       => 'state',
            -values   => [sort keys %$states],
            -default  => $form->{state} ? $form->{state} : 'default',
            -labels   => $states);


    my $tparams = {
        msg         => "Create an account",
        url         => $r->uri,
        states_select => $states_select,
    };

    # set up the template name
    $url =~ s/^\///;
    my $tname= $url . '.tt2';

    $r->content_type('text/html');

    $template->process($tname, $tparams) ||
        do {
            $r->server->warn($template->error());
            return Apache2::Const::SERVER_ERROR;
        };

    return Apache2::Const::OK;
}

                    
1;
