DROP TABLE IF EXISTS users;
CREATE TABLE `users` (
  `uid` int(8) NOT NULL auto_increment,
  `username` varchar(16) NOT NULL default '',
  `firstname` varchar(32) NOT NULL default '',
  `surname` varchar(32) NOT NULL,
  `email` varchar(32) NOT NULL default '',
  `phone` varchar(16) NOT NULL default '',
  `state` varchar(3) NOT NULL default '',
  `address` varchar(255) NOT NULL default '',
  `city` varchar(24) NOT NULL default '',
  `password` char(32) NOT NULL default '',
  `admin` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`uid`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `username` (`username`,`password`)
) ENGINE=InnoDB;

DROP TABLE IF EXISTS sessions;
CREATE TABLE `sessions` (
  `sessionid` char(32) NOT NULL default '',
  `uid` int(8) NOT NULL default '0',
  `stored_session` blob,
  PRIMARY KEY  (`sessionid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB;

DROP TABLE IF EXISTS states;
CREATE TABLE `states` (
  `state_id` int(4) NOT NULL auto_increment,
  `state_abbr` varchar(3) NOT NULL default '',
  `state_name` varchar(32) NOT NULL default '',
  `state_bird` varchar(32) NOT NULL default '',
  `state_flower` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`state_id`),
  KEY `state_abbr` (`state_abbr`),
  KEY `state_name` (`state_name`)
) ENGINE=InnoDB ;

drop table if exists urls_queue; 
create table urls_queue (
  url_md5 char(32) NOT NULL default '',
  url   varchar(128) NOT NULL default '',
  gman_ret varchar(16) NOT NULL default '',
  primary key url_md5 (url_md5)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

drop table if exists urls_stored; 
create table urls_stored (
  url_md5 char(32) NOT NULL default '',
  url   varchar(128) NOT NULL default '',
  gman_ret varchar(16) NOT NULL default '',
  primary key url_md5 (url_md5)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

drop table if exists urls;
create table urls (
    id int(8) NOT NULL auto_increment,
    url_md5 char(32) not null default '',
    url varchar(128) not null default '',
    title varchar(64) not null default '',
    created date,
    last_updated timestamp,
    last_modified varchar(40) not null default '',
    status varchar(32) not null default '',
    primary key (id),
    unique url_md5 (url_md5)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

drop table if exists urls_blob;
create table urls_blob ( 
    id int(8) NOT NULL default 0,
    content mediumtext,
    primary key (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
