DELIMITER |
DROP TRIGGER IF EXISTS urls_queue_insert |
CREATE TRIGGER urls_queue_insert
BEFORE INSERT ON urls_queue
FOR EACH ROW BEGIN
  SET NEW.url_md5 = md5(NEW.url);
  SET @gd= gman_servers_set('127.0.0.1:4730');
  SET @gd= gman_do_background('url_fetch', NEW.url);
END |

DELIMITER |
DROP TRIGGER IF EXISTS urls_queue_update |
CREATE TRIGGER urls_queue_update
BEFORE UPDATE ON urls_queue
FOR EACH ROW BEGIN
  SET @gd= gman_servers_set('127.0.0.1:4730');
  SET @gd= gman_do_background('url_fetch', OLD.url);
END |

DROP TRIGGER IF EXISTS urls_stored_insert |
CREATE TRIGGER urls_stored_insert
BEFORE INSERT ON urls_stored
FOR EACH ROW BEGIN
	SET @foo = memc_servers_set('localhost:11211,webserver:11211');
  SET @count = memc_increment('urls_stored');
  SET @index_count = memc_increment('index_counter');
  IF @count > 5 THEN
    SET @gd= gman_servers_set('127.0.0.1:4730');
    SET @gd= gman_do_background('url_process', NEW.url);
    SET @reset = memc_set('urls_stored', 0);
  END IF; 
  IF @index_count > 20 THEN
    SET @gd= gman_servers_set('127.0.0.1:4730');
    SET @gd = gman_do_background('indexer', NEW.url);
    SET @reset = memc_set('index_counter', 0);
  END IF; 
END |

DELIMITER ;


