#!/usr/bin/perl
#
use strict;
use warnings;

use Gearman::Worker;
use Narada; 

my $narada= new Narada();

sub indexer {
    my $count= $narada->{memc}->get('index_counter');
    warn "Count $count" if $DEBUG; 
    
    if ($count >= $SPHINX_REINDEX_COUNT) { 
      warn("indexing!");
      system('/usr/bin/indexer --rotate --all');
    }
}

my $worker= Gearman::Worker->new();
$worker->job_servers(@{$narada->{gman_servers}});
$worker->register_function('indexer',
                           \&indexer);
$worker->work() while 1;

