#!/usr/bin/perl
#
use strict;
use warnings;

use Gearman::Worker;
use Narada; 
my $webapp= new Narada();

sub indexer {
    my $count= $webapp->{memc}->get('index_counter');
    warn "Count $count";
    warn("indexing!");
    system('/usr/local/sphinx/bin/indexer --rotate --all');
}

my $worker= Gearman::Worker->new();
$worker->job_servers('127.0.0.1:4730');
$worker->register_function('indexer',
                           \&indexer);
$worker->work() while 1;

