<?php
# Narada Search Engine in PHP
# Copyright (C) 2009 Eric Day, Patrick Galbraith
# All rights reserved.
#
# Use and distribution licensed under the BSD license.  See
# the COPYING file in this directory for full text.

# This is the list of Gearman job servers to use. The format is:
# 'SERVER[:PORT][,SERVER[:PORT]]...'
# For example: '10.0.0.1,10.0.0.2:7003'
$NaradaGearmanServers= '127.0.0.1';

# Drizzle connection options.
$NaradaDrizzleHost= '127.0.0.1';
$NaradaDrizzlePort= 0;
$NaradaDrizzleUser= "root";
$NaradaDrizzlePass= NULL;
$NaradaDrizzleDb= 'narada';
# Available options: DRIZZLE_CON_MYSQL
$NaradaDrizzleOptions= 0;

# Whether to enable debugging.
$NaradaDebug= true;

#
# Insert Worker Configuration.
#

# Name of the function the insert worker will register.
$NaradaInsertFunctionName= 'NaradaInsert';

#
# Fetch Worker Configuration.
#

# Name of the function the fetch worker will register.
$NaradaFetchFunctionName= 'NaradaFetch';

# Whether to crawl (search and insert) other URLs when fetching pages.
$NaradaFetchCrawl= true;

# Whether to limit crawling to URLs local to the original URL or not.
$NaradaFetchLocalURLs= true;

#
# Index Worker Configuration.
#

# Name of the function the index worker will register.
$NaradaIndexFunctionName= 'NaradaIndex';

# How often the index should run, per number of documents.
$NaradaIndexFrequency= 10;

# Command to execute when the indexer needs to run.
$NaradaIndexCommand= '/usr/local/bin/indexer --rotate --all';

# How often the index timer should send a message to make sure unindexed
# documents eventually get indexed.
$NaradaIndexTimer= 60;

#
# Sphinx Configuration
#

# Path to the Sphinx PHP API. This needs to be include before the other Sphinx
# configuration in case API constants are used.
require('/usr/lib/php5/sphinxapi.php');

# Name of the function the search worker will register.
$NaradaSearchFunctionName= 'NaradaSearch';

# Name of the index to search
$NaradaSearchIndex= 'dist_url';

# Name of the Sphinx host
$NaradaSearchHost= 'localhost';

# Name of the Sphinx host
$NaradaSearchPort= 3312;

# Sphinx search mode
$NaradaSearchMode= SPH_MATCH_EXTENDED2;

?>
