<?php
# Narada Search Engine in PHP
# Copyright (C) 2009 Eric Day, Patrick Galbraith
# All rights reserved.
#
# Use and distribution licensed under the BSD license.  See
# the COPYING file in this directory for full text.

# This is a Gearman worker implementation that runs the indexer. You only need
# one of these workers running on the machines that contain the full-text
# indexes.

require('Narada.php');

class NaradaIndex extends Narada
{
  private $command;
  private $frequency;
  private $count;

  public function __construct()
  {
    parent::__construct();
    $this->functionName= $this->indexFunctionName;
    $this->command= $GLOBALS['NaradaIndexCommand'];
    $this->frequency= $GLOBALS['NaradaIndexFrequency'];
    $this->count= 0;
  }

  public function callback($job)
  {
    $this->count++;

    $this->debug("Index Count: $this->count");

    if ($this->count == $this->frequency)
    {
      $this->debug("Running Index");
      system($this->command);
      $this->count= 0;
    }
  }
}

# Now, actually run the index worker.
$index= new NaradaIndex();
$index->runWorker();

?>
