<?php
# Narada Search Engine in PHP
# Copyright (C) 2009 Eric Day, Patrick Galbraith
# All rights reserved.
#
# Use and distribution licensed under the BSD license.  See
# the COPYING file in this directory for full text.

# This is a Gearman worker implementation that inserts new URLs into the
# database and queues them to be fetched.

require('Narada.php');

class NaradaInsert extends Narada
{
  public function __construct()
  {
    parent::__construct();
    $this->functionName= $this->insertFunctionName;
  }

  public function callback($job)
  {
    $url= $job->workload();

    $this->debug("Insert URL: $url");

    $url= $this->verify($url);
    if (!$url)
    { 
      $this->debug("Not a valid URL");
      return "Invalid URL";
    }

    # Store the URL in the database, if it is unique, trigger the fetch.
    if (($id= $this->store($url)))
      $this->fetch($id);

    return $id;
  }
}

# Now, actually run the index worker.
$insert= new NaradaInsert();
$insert->runWorker();

?>
