<?php

# Narada Search Engine in PHP
# Copyright (C) 2009 Eric Day, Patrick Galbraith
# All rights reserved.
#
# Use and distribution licensed under the BSD license.  See
# the COPYING file in this directory for full text.

# This is the Gearman worker that searches sphinx, uses the ids
# from the search result set and obtains data from the database
# and returns a result set in the form of JSON

require('Narada.php');

class NaradaSearch extends Narada
{

  public function __construct()
  {
    parent::__construct();
    $this->functionName= $this->searchFunctionName;
  }

  public function callback($job)
  {
    $query= $job->workload();
    $results= $this->searchIndex($query);

    if ($results == false)
      return;
    else
    {
      $this->debug($results['total'] . " Documents matched '$query'");

      $content= $this->getContent($results);

      #$this->debug($content);

      return json_encode($content);
    }
  }
}

# Now, actually run the fetch worker.
$search= new NaradaSearch();
$search->runWorker();

?>
